body {
	padding: 0;
}

/* main */
#main {
	height: auto;
	min-height: 100%;
	padding: 0 60px 80px;
}

.main_img {
	width: 100%;
    height: 100%;
    align-items: center;
    justify-content: center;
}

.main_img.desktop {
	display: flex;
	padding: 6rem 3rem 2rem 0; 
} 

.main_img.mobile {
	display: none;
	padding: 0 0 2rem;
}

/* footer */
footer {
	position: relative;
	height: 80px;
	margin-left: 270px;
	transform: translateY(-100%);
	display: flex;
	align-items: center;
	justify-content: center;
	flex-wrap: wrap;
	font-style: normal;
	text-align: center;
	color: hsl(0, 0%, 55%);
}

footer a,
footer a:active {
	color: hsl(0, 0%, 40%);
	font-weight: bold;
}
/* nav */
nav {
	padding: 0 20px 8px;
	width: 240px;
	border-right: 1px solid #dedede;
}

nav #nav-search {
	width: calc(100%);
	margin: 20px 0 10px;
}

nav input {
	border: 1px solid #dedede;
}

nav input:hover {
	border: 1px solid #333;
	transition: all 0.3s; 
}

nav > *:nth-child(3) {
	padding-bottom: 20px;
	border-bottom: 1px solid #dedede;
}

nav > h2 > a {
	color: black !important;
}

nav > h2 > a:hover {
	/* font-weight: bold; */
	text-decoration: underline;
}

nav > ul {
	padding: 0 0 0 0.75rem;
	border-left: 1px solid #c2c5cb;
}

nav > ul > li > a {
	margin: 5px 0;
	color: black;
}

nav > ul > li > a:hover,
nav > ul > li > a:active {
	color: #6ebd07;
}

nav ul.methods,
nav ul.members {
	background: #f5f6f7;
}

nav ul.methods > li > a,
nav ul.members> li > a {
	padding: 4px 8px 4px 12px;
	border-left: 0;
	color: #454545;
	line-height: 130%;
	word-wrap: break-word;
}

nav ul.members > li > a {
	/* padding: 2px 2px 2px 26px; */
	padding: 4px 8px 4px 26px;
}

nav ul.methods > li > a:hover,
nav ul.members > li > a:hover {
	color: #6ebd07;
}

nav ul ul a:hover {
	color: black;
}

/* main contents */
h1.page-title {
	font-size: 32px;
	font-weight: bold;
	margin: 1.25em 0 0.75em;
}

section {
	padding: 0;
}

section a {
	color: #333;
	font-weight: bold;
	border-bottom: 1px solid #ddd;
}

header {
	background: #f5f6f7;
	border-radius: 0.625rem;
	margin-bottom: 3em;
}

.class-description {
	margin: 0.5em 0;
	padding: 1rem;
}

header p {
	margin: 0;
	padding: 0;
	line-height: 140%;
	font-size: 0.75em;
}

header h2 {
	display: none;
}

section h3 {
	font-weight: bold;
	margin: 1.5em 0 0.5em;
}

.subsection-title + h4.name {
	margin: 0.5em 0;
}

section h4.name { 
	background: #e1f8d7;
	color: #333;
	border-radius: 0.625rem;
	box-shadow: none;
	border: 0;
	padding: 1rem;
	margin: 10em 0 0.5em 0;
	word-break: break-all;
}

section h5 {
	display: inline-block;
	font-size: 110%;
	font-weight: bold;
	margin: 1.75em 0 0;
	background: linear-gradient(180deg, transparent 0%, transparent 50%, #e5ffc5 50%, #e5ffc5 100%);
}

.details {
	border-left: 4px solid #DDD;
}

.details dt {
	font-weight: bold;
	padding-left: 0;
	margin-left: 10px;
}

.prettyprint {
	background: transparent;
	padding-bottom: 0;
}

.prettyprint code {
	border-radius: 0.625rem;
}

.prettyprint > code {
	padding: 1rem;
	width: fit-content;
	min-width: 60%;
}

table {
	box-shadow: none;
	border-radius: 0;
	border-top: 2px solid black;
}

table th {
	background: #f4f4f4;
}

.signature {
	color: #155127;
}

h4.name a {
	color: #155127;
	border-bottom: 1px solid #155127;
	font-weight: bold;
}

h4.name a:hover,
h4.name a:active {
	color: black;
	border-bottom: 1px solid black;
}

span.param-type,
.params td .param-type,
.param-type dd {
	color: black;
	font-weight: bold;
}

.type-signature {
	color: #2d46d0;
}

.signature-attributes,
.type-signature:last-child {
    color: #009b0d;
}

.important {
	background: #ffeaea;
	color: #ff5050;
}

/* menu icon */
.navicon,
.navicon:before, 
.navicon:after {
	width: 1.75em;
	height: 0.2rem;
}

.navicon-button:hover .navicon:before {
	top: .625rem;
}

.navicon-button:hover .navicon:after {
	top: -.625rem;
}

@media only screen and (max-width: 680px) {
	footer {
		border-top: 1px solid #dedede;
		margin-left: 0;
		font-size: 80%;
	}
	
	#main section {
		padding-bottom: 2rem;
	}
	
	.navicon-button {
		top: 0.85em;
		right: -2px;
		padding: 2rem 1rem;
		opacity: 0.5;
	}
	
	.main_img.desktop {
		display: none;
	}
	
	.main_img.mobile {
		display: flex;
	}
}

@media only screen and (max-width: 500px) {
	#main {
		height: auto;
		min-height: 100%;
		padding: 0 40px 120px;
	}
	
	footer {
		height: 120px;
	}	
 }